Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class NewickScanner

    java.lang.Object
      info.bioinfweb.treegraph.document.io.newick.NewickStringChars
          info.bioinfweb.treegraph.document.io.newick.NewickScanner

    public class NewickScanner

extends NewickStringChars

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.io.newick.NewickStringChars
`COMMENT_END, COMMENT_START, ELEMENT_SEPERATOR, FREE_NAME_BLANK, LENGTH_SEPERATOR, NAME_DELIMITER, SUBTREE_END, SUBTREE_START, TERMINAL_SYMBOL`

Constructor Summary
`NewickScanner()`

Method Summary
`static java.util.Vector<NewickToken>` | `parse(java.lang.String text)`
`private static int` | `readBranchLength(NewickToken token, java.lang.String text, int start)` Reads a length statement in an Newick string.
`private static int` | `readDelimitedName(java.lang.String text, int start, NewickToken token)`
`private static NewickToken` | `readFreeName(java.lang.String text, int start)`

Methods inherited from class info.bioinfweb.treegraph.document.io.newick.NewickStringChars
`isCharAfterLength, isFreeNameChar, isFreeNameFirstChar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewickScanner

    public NewickScanner()

Method Detail

### readFreeName

    private static NewickToken readFreeName(java.lang.String text,
                                            int start)

### readDelimitedName

    private static int readDelimitedName(java.lang.String text,
                                         int start,
                                         NewickToken token)

### readBranchLength

    private static int readBranchLength(NewickToken token,
                                        java.lang.String text,
                                        int start)

  Reads a length statement in an Newick string.

  Parameters:
    `token` - the token where the length value shall be stored
    `text` - the Newick string
    `start` - ste start position of the length statement
  Returns:
    the position to go on tokenizing

### parse

    public static java.util.Vector<NewickToken> parse(java.lang.String text)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD